Index: database/factories/DepartmentFactory.php
===================================================================
--- database/factories/DepartmentFactory.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/factories/DepartmentFactory.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -28,5 +28,5 @@
         return [
             'id' => $this->faker->unique()->randomNumber(),
-            'name' => $this->faker->domainName(),
+            'name' => $this->faker->name(),
             'code' => $location,
             'location' => 'Departments/' . $location,
Index: database/factories/UserFactory.php
===================================================================
--- database/factories/UserFactory.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/factories/UserFactory.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -29,9 +29,10 @@
             'password' => $this->faker->password(),
             'email' => $this->faker->email(),
-            'mobile_number' => $this->faker->phoneNumber(),
+            'phone_number' => $this->faker->phoneNumber(),
             'role_id' => $this->faker->numberBetween(1, 2),
             'is_online' => $this->faker->boolean,
             'is_confirmed' => $this->faker->boolean,
             'is_forgot_password' => $this->faker->boolean,
+            'created_by' => "1",
             'created_at' => Carbon::now()
         ];
Index: database/migrations/2021_09_27_171107_create_users_table.php
===================================================================
--- database/migrations/2021_09_27_171107_create_users_table.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/migrations/2021_09_27_171107_create_users_table.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -22,5 +22,5 @@
             $table->string('password');
             $table->string('email')->unique();
-            $table->string('mobile_number')->unique();
+            $table->string('phone_number')->unique();
             $table->string('avatar')->nullable();
             $table->integer('role_id')->unsigned();
@@ -32,6 +32,9 @@
             $table->integer('security_code')->nullable();
             $table->string('verify_token')->nullable();
+            $table->integer("created_by")->unsigned();
             $table->rememberToken();
             $table->timestamps();
+
+            $table->foreign("created_by")->references("id")->on("users")->onDelete("cascade")->onUpdate("cascade");
         });
     }
Index: database/migrations/2021_09_29_121244_create_departments_table.php
===================================================================
--- database/migrations/2021_09_29_121244_create_departments_table.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/migrations/2021_09_29_121244_create_departments_table.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -23,5 +23,4 @@
 
             $table->foreign("user_id")->references("id")->on("users")->onDelete("cascade")->onUpdate("cascade");
-
         });
     }
Index: database/seeders/PermissionsTableSeeder.php
===================================================================
--- database/seeders/PermissionsTableSeeder.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/seeders/PermissionsTableSeeder.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -27,4 +27,5 @@
             ["name" => "delete_all_documents"], 	// Delete all document/s
             ["name" => "delete_document"], 	        // Delete your document/s
+            ["name" => "manage_file_types"], 	// Access all file_types to manage
         ]);
     }
Index: database/seeders/RolesPermissionsTableSeeder.php
===================================================================
--- database/seeders/RolesPermissionsTableSeeder.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/seeders/RolesPermissionsTableSeeder.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -26,4 +26,5 @@
             ["role_id" => 1, "permission_id" => 9],
             ["role_id" => 1, "permission_id" => 10],
+            ["role_id" => 1, "permission_id" => 11],
 
             // Referent
@@ -36,4 +37,5 @@
             ["role_id" => 2, "permission_id" => 9],
             ["role_id" => 2, "permission_id" => 10],
+            ["role_id" => 2, "permission_id" => 11],
 
             // Viewer
Index: database/seeders/UsersTableSeeder.php
===================================================================
--- database/seeders/UsersTableSeeder.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/seeders/UsersTableSeeder.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -22,8 +22,9 @@
             "password" => bcrypt("123456"),
             "email" => "kufliju@gmail.com",
-            "mobile_number" => "+38971201239",
+            "phone_number" => "+38971201239",
             "role_id" => 1,
             "is_active" => true,
             "is_confirmed" => true,
+            "created_by" => "1",
             "created_at" => Carbon::now()
         ]);
